karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schneider <ch...@die-schneider.net>
Subject Re: [DISCUSSION] OSGi core version in Karaf version
Date Sat, 18 Aug 2012 21:46:30 GMT
Sounds good. Would be too late to change the major OSGi version for 3.x.

Christian


Am 18.08.2012 14:12, schrieb Jamie G.:
> I agree that we should not change major OSGi core versions on minor releases.
>
> - Karaf 3.x.y => OSGi core 4.3.0
> - Karaf 4.x.y => OSGi core 5.0.0
>
> The above works for me.
>
> Cheers,
> Jamie
>
> On Sat, Aug 18, 2012 at 6:46 AM, Ioannis Canellos <iocanel@gmail.com> wrote:
>>> I've no problem with either of those since the 4.3 release of the core
>>> does not break backward compatibility (compared to 5.0) --> also fine
>>> with that approach (BUT, AFAIK 2.3.x had been ported to 4.3 already)
>>>
>> Then our views are completely aligned :-)
>>
>> --
>> *Ioannis Canellos*
>> *
>> FuseSource <http://fusesource.com>
>>
>> **
>> Blog: http://iocanel.blogspot.com
>> **
>> Twitter: iocanel
>> *


-- 
  
Christian Schneider
http://www.liquid-reality.de

Open Source Architect
Talend Application Integration Division http://www.talend.com


Mime
View raw message